ランタイム: Mix::Scene::ISimpleSensor Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Mix::Scene::ISimpleSensor Class Reference

シンプルセンサーインターフェース More...

`#include <ISimpleSensor.h>`

Inheritance diagram for Mix::Scene::ISimpleSensor:
[legend]
Collaboration diagram for Mix::Scene::ISimpleSensor:
[legend]

## Protected Member Functions

virtual | ~ISimpleSensor ()
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ISensor
virtual | ~ISensor (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...
Public Member Functions inherited from Mix::Scene::ISensor
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Detailed Description

シンプルセンサーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ISimpleSensor::~ISimpleSensor | ( |  | ) |

inlineprotectedvirtual

デストラクタ

The documentation for this class was generated from the following file:

- Mix/Scene/ISimpleSensor.h